/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <ox/model/model.hpp>

#include <keel/module.hpp>

#include "typeconv.hpp"

namespace nostalgia::sound {

static struct: keel::Module {

	[[nodiscard]]
	ox::String id() const noexcept override {
		return ox::String{"net.drinkingtea.nostalgia.sound"};
	}

	[[nodiscard]]
	ox::Vector<keel::TypeDescGenerator> types() const noexcept final {
		return {
		};
	}

	[[nodiscard]]
	ox::Vector<keel::Converter> converters() const noexcept final {
		return {
		};
	}

	[[nodiscard]]
	ox::Vector<keel::PackTransform> packTransforms() const noexcept final {
		return {
		};
	}

} const mod;

keel::Module const*keelModule() noexcept {
	return &mod;
}

}
